<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myBaseCalendarLabel" jhiTranslate="mpmApp.baseCalendar.home.createOrEditLabel">Create or edit a Base Calendar</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!baseCalendar.idCalendar">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="baseCalendar.idCalendar" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.baseCalendar.dateKey" for="field_dateKey">Date Key</label>
            <div class="input-group">
                <p-calendar inputId="field_dateKey" name="input_dateKey" [(ngModel)]="baseCalendar.dateKey"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.baseCalendar.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="baseCalendar.description"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.baseCalendar.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="baseCalendar.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.baseCalendar.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="baseCalendar.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.baseCalendar.workDay" for="field_workDay">Work Day</label>
            <div class="input-group">
                <label class="form-check-label">
                    <p-checkbox name="input_workDay" label="{{'mpmApp.baseCalendar.workDay'| translate}}" styleClass="form-check-input"
                        [(ngModel)]="baseCalendar.workDay" binary="true"></p-checkbox>
                </label>
            </div>
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.baseCalendar.calendarType" for="field_calendarType">Calendar Type</label>
            <select class="form-control" id="field_calendarType" name="calendarType" [(ngModel)]="baseCalendar.calendarTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="calendarTypeOption.idCalendarType" *ngFor="let calendarTypeOption of calendartypes; trackBy: trackCalendarTypeById">{{calendarTypeOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.baseCalendar.parent" for="field_parent">Parent</label>
            <select class="form-control" id="field_parent" name="parent" [(ngModel)]="baseCalendar.parentId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="standardCalendarOption.idCalendar" *ngFor="let standardCalendarOption of standardcalendars; trackBy: trackStandardCalendarById">{{standardCalendarOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
